<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>AVM2: </title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.7.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul class="tablist">
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li class="current"><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<p><a name="debug"></a></p>
<h2><a class="anchor" id="debug"></a>
debug</h2>
<h3><a class="anchor" id="operation"></a>
Operation</h3>
<p>Debugging info.</p>
<h3><a class="anchor" id="format"></a>
Format</h3>
<div class="fragment"><pre class="fragment">debug 
debug_type 
index 
reg
extra
</pre></div><h3><a class="anchor" id="forms"></a>
Forms</h3>
<div class="fragment"><pre class="fragment">debug = 239 (0xef)
</pre></div> <h3><a class="anchor" id="stack"></a>
Stack</h3>
<div class="fragment"><pre class="fragment">... =&gt; ...
</pre></div><h3><a class="anchor" id="description"></a>
Description</h3>
<p>debug_type is an unsigned byte. If the value of debug_type is DI_LOCAL (1), then this is debugging information for a local register.</p>
<p>index is a u30 that must be an index into the string constant pool. The string at index is the name to use for this register.</p>
<p>reg is an unsigned byte and is the index of the register that this is debugging information for. extra is a u30 that is currently unused.</p>
<p>When debug_type has a value of 1, this tells the debugger the name to display for the register specified by reg. If the debugger is not running, then this instruction does nothing.</p>
<h3><a class="anchor" id="rt_execeptions"></a>
Runtime exceptions</h3>
<p>None.</p>
<h3><a class="anchor" id="notes"></a>
Notes</h3>
<p>None. </p>
</div>
<hr class="footer"/><address class="footer"><small>Generated on Thu Jan 6 2011 10:19:15 for AVM2 by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.7.1 </small></address>
</body>
</html>
